/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.operator;

import org.apache.commons.lang3.RandomStringUtils;

import com.thedeanda.lorem.LoremIpsum;

public class PutUserRequestDataTestFactory {
	
	public static final String USERNAME = LoremIpsum.getInstance().getFirstName();
	public static final String ROLES = LoremIpsum.getInstance().getWords(1);
	public static final String PASSWORD = RandomStringUtils.randomAlphanumeric(6);

	public static PutUserRequestData  create() {
		return createBuilder().build();
	}
	
	public static PutUserRequestData.PutUserRequestDataBuilder createBuilder(){
		return PutUserRequestData.builder()
				.username(USERNAME)
				.roles(ROLES)
				.password(PASSWORD);
	}
}